400 Bad request on clicking links under "Host Collections"--> "Collection Actions"

06/13/2014 08:53 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1104991 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1104991

Description of problem:

I was verifying bz #1096183. And found that clicking on following two links under "Host Collections"--> "Collection Actions" raises 400

Bad request error in production.log and page remains in loading state.

And error is also misleading as it says:

Processing by Katello::Api::V2::SystemsController#index as JSON

Parameters: {"organization_id"=>"1", "page"=>"1", "search"=>"host_collection:'tests'", "sort_by"=>"name", "sort_order"=>"ASC",

"api_version"=>"v2"}

Katello::HttpErrors::BadRequest: No systems have been specified.

I've already added one content-host in host-collection.

Version-Release number of selected component (if applicable):

Verified with sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0)

How reproducible:

always

Steps to Reproduce:

1. Create a host-collection

2. Add a content-host to created host-collection in step1

3. Now Go to "Host Collections"--> "Collection Actions" tab and select following links:

- Errata Installation

- Host Collection Membership

4. Check production.log

Actual results:

Links opened up "content host" page but it remains in loading state, and a long execption thrown in production.log with 400 bad

request.

Expected results:

Page shouldn't be in loading state and no exception should be in production.log

Additional info:

Please see attachments.

Related issues:

Related to Katello - Bug #4036: Nutupane table within details seems to reflec... Closed 01/16/2014

Associated revisions

Revision 018d8156 - 06/16/2014 10:11 AM - Eric Helms

Fixes #6221: Content host errata and host collection bulk actions no longer 400.
https://bugzilla.redhat.com/show_bug.cgi?id=1104991


Content host errata and host collection bulk actions when entered via host

collection links would throw 400 errors and display no results. This was due

in part to attempting to fetch errata without content hosts populated and

the parameter to disable initial errata loading incorrectly specified.

Also, this changes the way search works on nutupane instances by using

'search' as the default in the URL unless an action was supplied to Nutupane.

If the action is supplied, for example 'availableErrata', then the search term

becomes 'availableErrataSearch'. This has the effect of fixing the coupling

of multiple nutupane search boxes to one another.

Revision a34ff81b - 06/16/2014 02:11 PM - Eric Helms

Fixes #6221: Content host errata and host collection bulk actions no longer 400.

Content host errata and host collection bulk actions when entered via host

collection links would throw 400 errors and display no results. This was due

in part to attempting to fetch errata without content hosts populated and

the parameter to disable initial errata loading incorrectly specified.

Also, this changes the way search works on nutupane instances by using

'search' as the default in the URL unless an action was supplied to Nutupane.

If the action is supplied, for example 'availableErrata', then the search term

becomes 'availableErrataSearch'. This has the effect of fixing the coupling

of multiple nutupane search boxes to one another.

Revision 6d6a676f - 06/16/2014 02:46 PM - Eric Helms

Merge pull request #4270 from ehelms/fixes-6221

Fixes #6221: Content host errata and host collection bulk actions no lon...

Revision 11c2e466 - 06/16/2014 06:46 PM - Eric Helms

Merge pull request #4270 from ehelms/fixes-6221

Fixes #6221: Content host errata and host collection bulk actions no lon...

History

#1 - 06/13/2014 08:54 PM - Eric Helms

- Target version set to 45

- Difficulty set to medium

- Triaged set to Yes

#2 - 06/13/2014 09:00 PM - Eric Helms

- Related to Bug #4036: Nutupane table within details seems to reflect some actions from main nutupane added

#3 - 06/16/2014 12:21 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/16/2014 06:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:a34ff81b20740fa18fb0e992801cfee9e5f80df8.

#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
